capture program drop myclear
program define myclear


if "$usemdo" ~= "1" { /* meaning hasn't been executed by mdo, so need to do the work. Otherwise, mdo has already perform the task of myclear */

   capture log close
   capture clear mata
   drop _all
   scalar drop _all
   local drop _all
   mat drop _all
   program drop _all /* the current program, myclear.ado, won't be dropped though */
   mac drop _all
   global drop _all
   clear
   capture set memory 10m
   set graphics on
}

global usemdo = 0 /* reset the value */

end
